var _excluded = ["children", "value"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useEffect, useState } from 'react';
import { useTabContext } from '@mui/lab/TabContext';
import { Box } from '@mui/material';

// Custom TabPanel component to keep mounted after switching to other tab
export function TabPanel(_ref) {
  var children = _ref.children,
    id = _ref.value,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var context = useTabContext();
  var _useState = useState(false),
    visited = _useState[0],
    setVisited = _useState[1];
  if (context === null) {
    throw new TypeError("No TabContext provided");
  }
  var tabId = context.value;
  useEffect(function () {
    if (id === tabId) {
      setVisited(true);
    }
  }, [id, tabId]);
  return /*#__PURE__*/React.createElement(Box, _extends({
    hidden: id !== tabId
  }, props), visited && children);
}