import React, { useState } from 'react';
import { Button, Dialog, DialogActions, DialogContent, DialogContentText, DialogTitle, TextField } from '@mui/material';
export function CustomRelayDialog(_ref) {
  var open = _ref.open,
    oldCustomRelay = _ref.oldCustomRelay,
    onSet = _ref.onSet,
    onCancel = _ref.onCancel;
  var _useState = useState(oldCustomRelay !== null && oldCustomRelay !== void 0 ? oldCustomRelay : ''),
    customRelay = _useState[0],
    setCustomRelay = _useState[1];
  return /*#__PURE__*/React.createElement(Dialog, {
    open: open,
    fullWidth: true,
    maxWidth: "md"
  }, /*#__PURE__*/React.createElement(DialogTitle, null, "Custom Relay"), /*#__PURE__*/React.createElement(DialogContent, null, /*#__PURE__*/React.createElement(DialogContentText, null, "Enter a relay node multiaddr here to set it as the custom relay node."), /*#__PURE__*/React.createElement(TextField, {
    autoFocus: true,
    margin: "dense",
    id: "multiaddr",
    label: "Relay multiaddr",
    fullWidth: true,
    variant: "standard",
    value: customRelay,
    onChange: function onChange(event) {
      setCustomRelay(event.target.value);
    }
  })), /*#__PURE__*/React.createElement(DialogActions, null, /*#__PURE__*/React.createElement(Button, {
    onClick: onCancel
  }, "Cancel"), /*#__PURE__*/React.createElement(Button, {
    onClick: function onClick() {
      return onSet(customRelay);
    }
  }, "Set")));
}