//
// Copyright 2023 Vulcanize, Inc.
//

import { useCallback, useState } from 'react';
export function useForceUpdate() {
  var _useState = useState(0),
    setValue = _useState[1]; // integer state
  var forceUpdate = useCallback(function () {
    return setValue(function (value) {
      return value + 1;
    });
  }, [setValue]); // update state to force render

  return forceUpdate;
}